---
name: Bug report
about: Create a report to help us improve
title: "[BUG]"
labels: "Status: Needs Triage, Type: Bug"
assignees: Stranger6667
---

### Checklist

- [ ] I checked the [FAQ section](https://schemathesis.readthedocs.io/en/stable/faq.html#frequently-asked-questions) of the documentation
- [ ] I looked for similar issues in the [issue tracker](https://github.com/schemathesis/schemathesis/issues)
- [ ] I am using the latest version of Schemathesis

### Describe the bug

Clearly describe the issue you're facing.

### To Reproduce

🚨 **Mandatory** 🚨: Steps to reproduce the behavior:

1. Run this command '...'
2. See error

Please include a minimal API schema causing this issue:

```yaml
{ "openapi": "3.0.2", ... }
```

### Expected behavior

Clearly describe your expected outcome.

### Environment

```
- OS: [e.g. Linux or Windows]
- Python version: [e.g. 3.11]
- Schemathesis version: [e.g. 3.20.0]
- Spec version: [e.g. Open API 3.0.2]
```

### Additional context

Include any other relevant details, like logs or screenshots.
